Issue2122

classification
Title: jline_.dll caching prevents 32bit and 64bit jython scripts running at same time
Type: crash Severity: normal
Components: Versions: Jython 2.5
process
Status: closed Resolution: duplicate
Dependencies: Superseder:
Assigned To: Nosy List: filipdef, zyasoft
Priority: Keywords:

Created on 2014-04-08.16:13:20 by filipdef, last changed 2014-05-21.21:25:13 by zyasoft.

Files
File name Uploaded Description Edit Remove
unnamed filipdef, 2014-04-08.18:47:14
Messages
msg8275 (view) Author: Filip Defoort (filipdef) Date: 2014-04-08.16:13:19
There's a bug with the caching of the jline_.dll on windows. It's being cached in %TEMP% with the same name for both 32bit as well as 64bit versions of the VM. So if you're running a 32bit script at the same time as a 64bit script, you'll get an error along the lines of "Can't load IA 32-bit .dll on a AMD 64-bit platform" (since the second jython instance isn't rewriting the jline_.dll as it already exists and is in use by the 32bit version).

The workaround is to disable jline: -Dpython.console=org.python.util.InteractiveConsole. Obviously not very handy for interactive scripts but works well for batch scripts.

The simplest solution would be to suffix the name of the dll with _32 and _64 as appropriate to eliminate this conflict.
msg8276 (view) Author: Jim Baker (zyasoft) Date: 2014-04-08.17:04:08
Apparently this problem has been fixed in JLine 2, which we plan on upgrading to per issue #2092. Marking this as a duplicate, but thanks for providing a workaround before this can happen.
msg8281 (view) Author: Filip Defoort (filipdef) Date: 2014-04-08.18:47:15
Thanks for the info!

Cheers,
- Filip

On Tue, Apr 8, 2014 at 10:04 AM, Jim Baker <report@bugs.jython.org> wrote:

>
> Jim Baker added the comment:
>
> Apparently this problem has been fixed in JLine 2, which we plan on
> upgrading to per issue #2092. Marking this as a duplicate, but thanks for
> providing a workaround before this can happen.
>
> ----------
> nosy: +zyasoft
> resolution:  -> duplicate
>
> _______________________________________
> Jython tracker <report@bugs.jython.org>
> <http://bugs.jython.org/issue2122>
> _______________________________________
>
History
Date User Action Args
2014-05-21 21:25:13zyasoftsetstatus: open -> closed
2014-04-08 18:47:15filipdefsetfiles: + unnamed
messages: + msg8281
2014-04-08 17:04:09zyasoftsetresolution: duplicate
messages: + msg8276
nosy: + zyasoft
2014-04-08 16:13:20filipdefcreate